package main

import (
	"os"

	"github.com/spf13/cobra"
)

// Command
var envCmd = &cobra.Command{
	Use:   "env",
	Short: "generates environment variables for shell scripts",
	RunE: func(_ *cobra.Command, _ []string) error {
		m, err := cfg.LoadZones()
		if err != nil {
			return err
		}

		return m.WriteEnv(os.Stdout)
	},
}

func init() {
	rootCmd.AddCommand(envCmd)
}
